Subject: Offline Message from Perry McCarty: I placed an order on 8/2/22 for an eb7 re
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 14 Aug 2022 17:16:09 -0000

From: Perry McCarty <[email-masked]>
Phone: 8582316454
Location: San Diego, United States
URL: https://swagtron.com/contact/
Department: SwagTron

I placed an order on 8/2/22 for an eb7 replacement battery. Order#559402 I no longer need it and I refused the battery from  
the delivery company.. Either Fed Ex or UPS... I had ordered a new EB7 bike but was not happy with it and sent it back... Please send me my refund...I used Amazon Pay... Thank You

----
Zopim
https://www.zopim.com